%define short_name      logkit
%define section         free

Name:           avalon-%{short_name}
Version:        2.1
Release:        9
Epoch:          0
Summary:        Java logging toolkit
License:        Apache License
Group:          Development/Java
Url:            http://avalon.apache.org/%{short_name}/
Source0:        http://www.apache.org/dist/excalibur/avalon-logkit/source/avalon-logkit-2.1-src.tar.bz2
Patch0:         %{name}-build.patch
Patch1:		fix-java6-compile.patch
Patch3:         java7.patch
Requires:       avalon-framework >= 0:4.1.4
Requires:       servlet6
Requires:       geronimo-jms-1.1-api
Requires:       jdbc-stdext
BuildRequires:  locales-en
BuildRequires:  java-rpmbuild
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:  ant
BuildRequires:  avalon-framework-javadoc
BuildRequires:  classpathx-mail
BuildRequires:  java-javadoc
BuildRequires:  log4j
BuildRequires:  avalon-framework >= 0:4.1.4
BuildRequires:  servlet6
BuildRequires:  geronimo-jms-1.1-api
BuildRequires:  jdbc-stdext
BuildArch:      noarch

%description
LogKit is a logging toolkit designed for secure performance orientated
logging in applications. To get started using LogKit, it is recomended
that you read the whitepaper and browse the API docs.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Java

%description javadoc
Javadoc for %{name}.

%prep
%setup -q
%patch0 -p1 -b .build
%patch1 -p0 -b .java6
%patch3 -p0
%{_bindir}/find . -name "*.jar" | %{_bindir}/xargs -t rm -f
%{__perl} -pi -e 's/1\.2/1\.4/g' build.xml

%build
export LC_ALL=en_US.ISO-8859-1
export CLASSPATH=$(build-classpath log4j javamail/mailapi jms tomcat-servlet-api jdbc-stdext avalon-framework)
%{ant} -Dbuild.sysclasspath=only --execdebug\
       -Djava.javadoc=%{_javadocdir}/java \
       -Davalon.javadoc=%{_javadocdir}/avalon-framework \
  clean jar javadoc

%install
# jars
install -d -m 755 %{buildroot}%{_javadir}
install -m 644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)
# javadoc
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -pr dist/docs/api/* %{buildroot}%{_javadocdir}/%{name}-%{version}

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt NOTICE.txt
%{_javadir}/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}

%changelog

* Sat Mar 19 2016 Denis Silakov <dsilakov@gmail.com> 0:2.1-9
- (6deee81) Switch to modern servlets


